package com.inca.npbusi.query.sa_day;

import com.inca.np.auth.ClientUserManager;
import com.inca.np.gui.control.CFrame;
import com.inca.np.gui.control.CTable;
import com.inca.np.gui.control.CToolbar;
import com.inca.np.gui.control.DBColumnDisplayInfo;
import com.inca.np.gui.ste.CSteModel;
import com.inca.np.util.DBHelper;
import com.inca.npx.ste.CSteModelAp;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import javax.swing.JCheckBox;
import javax.swing.JPanel;
import javax.swing.JTable;
import javax.swing.table.TableColumn;
import javax.swing.table.TableColumnModel;

public class Sa_day_ste extends CSteModelAp {
   private JCheckBox a = null;
   private JCheckBox b = null;
   private JCheckBox c = null;
   private JCheckBox d = null;
   private JCheckBox e = null;

   public Sa_day_ste(CFrame var1) {
      super(var1, "销售发货总单");
      DBColumnDisplayInfo var2 = new DBColumnDisplayInfo("flag", "标记", "number", false);
      this.getDBColumnDisplayInfos().add(var2);
   }

   public String getTablename() {
      return "bms_sa_day_v";
   }

   public String getSaveCommandString() {
      return "query.sa_day.Sa_day_ste";
   }

   public String buildSelectSql(String var1) {
      String var2;
      int var3;
      if ((var3 = (var2 = super.buildSelectSql(var1)).toLowerCase().indexOf(" where ")) != -1 && (var2 = var2.substring(var3 + 6)) != null && !"".equals(var2)) {
         var1 = var2;
      }

      var2 = "";
      String var4 = "";
      if (this.a.isSelected()) {
         var4 = var4 + "customid,customname,";
         var2 = var2 + "customid,customname,";
      }

      if (this.b.isSelected()) {
         var4 = var4 + "salerid,salername,";
         var2 = var2 + "salerid,salername,";
      }

      if (this.c.isSelected()) {
         var4 = var4 + "customertype,";
         var2 = var2 + "customertype,";
      }

      if (this.d.isSelected()) {
         var4 = var4 + "invtype,";
         var2 = var2 + "invtype,";
      }

      if (this.e.isSelected()) {
         var4 = var4 + "deptid,deptname,";
         var2 = var2 + "deptid,deptname,";
      }

      var4 = DBHelper.addWheres(DBHelper.addWheres("select " + var4 + " sum(NVL(total,0)) total from bms_sa_day_v ", var1), " entryid = " + ClientUserManager.getCurrentUser().getEntryid());
      if (!"".equals(var2)) {
         if (var2.endsWith(",")) {
            var2 = var2.substring(0, var2.length() - 1);
         }

         var4 = var4 + " group by " + var2;
      }

      return var4;
   }

   protected JPanel createSecondtoolbar() {
      CToolbar var1 = new CToolbar();
      JPanel var2;
      (var2 = new JPanel()).setLayout(new BorderLayout());
      this.a = new JCheckBox("  客户ID  ");
      this.a.setSelected(true);
      var1.add(this.a);
      this.c = new JCheckBox("  客户性质  ");
      this.c.setSelected(true);
      var1.add(this.c);
      this.b = new JCheckBox("  业务员ID  ");
      this.b.setSelected(true);
      var1.add(this.b);
      this.d = new JCheckBox("  发票类型  ");
      this.d.setSelected(true);
      var1.add(this.d);
      this.e = new JCheckBox("  部门ID  ");
      this.e.setSelected(true);
      var1.add(this.e);
      var2.add(var1);
      return var2;
   }

   protected void on_retrieved() {
      int var1;
      if (!this.a.isSelected()) {
         var1 = this.a("customid");
         a(this.table, var1);
         var1 = this.a("customname");
         a(this.table, var1);
      } else {
         var1 = this.a("customid");
         b(this.table, var1);
         var1 = this.a("customname");
         b(this.table, var1);
      }

      if (!this.b.isSelected()) {
         var1 = this.a("salerid");
         a(this.table, var1);
         var1 = this.a("salername");
         a(this.table, var1);
      } else {
         var1 = this.a("salerid");
         b(this.table, var1);
         var1 = this.a("salername");
         b(this.table, var1);
      }

      if (!this.c.isSelected()) {
         var1 = this.a("customertype");
         a(this.table, var1);
      } else {
         var1 = this.a("customertype");
         b(this.table, var1);
      }

      if (!this.d.isSelected()) {
         var1 = this.a("invtype");
         a(this.table, var1);
      } else {
         var1 = this.a("invtype");
         b(this.table, var1);
      }

      if (!this.e.isSelected()) {
         var1 = this.a("deptid");
         a(this.table, var1);
         var1 = this.a("deptname");
         a(this.table, var1);
      } else {
         var1 = this.a("deptid");
         b(this.table, var1);
         var1 = this.a("deptname");
         b(this.table, var1);
      }

      super.on_retrieved();
   }

   private static void a(CTable var0, int var1) {
      if (var1 != 0) {
         TableColumn var2;
         (var2 = var0.getColumnModel().getColumn(var1)).setWidth(0);
         var2.setPreferredWidth(0);
         var2.setMaxWidth(0);
         var2.setMinWidth(0);
         var0.getTableHeader().getColumnModel().getColumn(var1).setMaxWidth(0);
         var0.getTableHeader().getColumnModel().getColumn(var1).setMinWidth(0);
      }
   }

   private int a(String var1) {
      var1 = this.getDBColumnDisplayInfo(var1).getTitle();

      for(int var2 = 0; var2 < this.table.getColumnCount(); ++var2) {
         if (var1.equals(this.table.getColumnName(var2))) {
            return var2;
         }
      }

      return 0;
   }

   private static void b(CTable var0, int var1) {
      if (var1 != 0) {
         TableColumn var2;
         (var2 = var0.getColumnModel().getColumn(var1)).setWidth(100);
         var2.setPreferredWidth(100);
         var2.setMaxWidth(1000);
         var2.setMinWidth(0);
         var0.getTableHeader().getColumnModel().getColumn(var1).setMaxWidth(1000);
         var0.getTableHeader().getColumnModel().getColumn(var1).setMinWidth(0);
      }
   }

   public void on_doubleclick(int var1, int var2) {
      String var3 = this.getItemValue(var1, "flag");
      if ("1".equals(var3)) {
         this.setItemValue(var1, "flag", "0");
      } else {
         this.setItemValue(var1, "flag", "1");
      }

      this.setdbStatus(var1, 0);
      TableColumnModel var7 = this.table.getColumnModel();

      for(int var4 = 0; var4 < var7.getColumnCount(); ++var4) {
         TableColumn var5 = var7.getColumn(var4);
         DBColumnDisplayInfo var6;
         if (!(var6 = (DBColumnDisplayInfo)this.formcolumndisplayinfos.elementAt(var5.getModelIndex())).getColtype().equals("行号")) {
            var5.setCellRenderer(new a(var6));
         }
      }

      super.on_doubleclick(var1, var2);
   }

   class a extends CSteModel.PlainTablecellRender {
      private Color a = new Color(160, 240, 140);

      public a(DBColumnDisplayInfo var2) {
         super(Sa_day_ste.this, var2);
      }

      public final Component getTableCellRendererComponent(JTable var1, Object var2, boolean var3, boolean var4, int var5, int var6) {
         Component var7 = super.getTableCellRendererComponent(var1, var2, var3, var4, var5, var6);
         if (var5 >= 0 && var5 < Sa_day_ste.this.getRowCount()) {
            String var8 = Sa_day_ste.this.getItemValue(var5, "flag");
            if ("1".equals(var8)) {
               var7.setBackground(this.a);
            }
         }

         return var7;
      }
   }
}
